Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.auth

# Class AuthenticationPluginRegistry

java.lang.Object
org.firebirdsql.gds.ng.wire.auth.AuthenticationPluginRegistry

@InternalApi public final class AuthenticationPluginRegistry extends Object
Registry of authentication plugins.

Since:
  6
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static AuthenticationPluginSpi`
`getAuthenticationPluginSpi(String authenticationPluginName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAuthenticationPluginSpi

public static AuthenticationPluginSpi getAuthenticationPluginSpi(String authenticationPluginName)